head	1.8;
access;
symbols
	RELEASE_8_3_0:1.7
	RELEASE_9_0_0:1.7
	RELEASE_7_4_0:1.7
	RELEASE_8_2_0:1.7
	RELEASE_6_EOL:1.7
	RELEASE_8_1_0:1.7
	RELEASE_7_3_0:1.7
	RELEASE_8_0_0:1.7
	RELEASE_7_2_0:1.6
	RELEASE_7_1_0:1.6
	RELEASE_6_4_0:1.6
	RELEASE_5_EOL:1.4
	RELEASE_7_0_0:1.4
	RELEASE_6_3_0:1.4
	PRE_XORG_7:1.2
	RELEASE_4_EOL:1.2
	RELEASE_6_2_0:1.1
	RELEASE_6_1_0:1.1
	RELEASE_5_5_0:1.1
	RELEASE_6_0_0:1.1;
locks; strict;
comment	@# @;


1.8
date	2012.10.14.12.55.49;	author oliver;	state Exp;
branches;
next	1.7;

1.7
date	2009.07.02.14.44.46;	author oliver;	state Exp;
branches;
next	1.6;

1.6
date	2008.07.16.07.39.29;	author oliver;	state Exp;
branches;
next	1.5;

1.5
date	2008.06.12.20.13.47;	author oliver;	state Exp;
branches;
next	1.4;

1.4
date	2007.10.05.19.50.19;	author oliver;	state Exp;
branches;
next	1.3;

1.3
date	2007.10.03.12.10.07;	author oliver;	state Exp;
branches;
next	1.2;

1.2
date	2007.01.01.21.35.27;	author oliver;	state Exp;
branches;
next	1.1;

1.1
date	2005.04.26.19.17.32;	author oliver;	state Exp;
branches;
next	;


desc
@@


1.8
log
@SVN rev 305872 on 2012-10-14 12:55:49Z by oliver

update to 0.65.0

Feature safe:	yes
@
text
@--- configure.orig	2012-10-14 12:45:02.000000000 +0200
+++ configure	2012-10-14 12:46:15.000000000 +0200
@@@@ -622,6 +622,10 @@@@
 am__EXEEXT_FALSE
 am__EXEEXT_TRUE
 LTLIBOBJS
+HAVE_BASE_TRUE
+HAVE_BASE_FALSE
+HAVE_USERDB_TRUE
+HAVE_USERDB_FALSE
 LIBOBJS
 HAVE_SGML_FALSE
 HAVE_SGML_TRUE
@@@@ -656,6 +660,9 @@@@
 PGSQL_LIBS
 PG_CONFIG
 authpgsqlrc
+vpopmail_home
+VPOPMAILLIBS
+LIBAUTHVCHKPW
 LIBAUTHPWD
 LIBAUTHSHADOW
 SHADOWLIBS
@@@@ -1519,6 +1526,7 @@@@
  --with-authldaprc=filename         Expect to find authldaprc here
  --without-authpwd                  Do not include the authpwd module
  --without-authshadow               Do not include the authshadow module
+ --without-authvchkpw               Do not include the authvchkpw module
  --with-authpgsqlrc=filename        Expect to find authpgsql here
  --without-authpgsql               Do not include the authpgsql module
  --with-pgsql-libs=DIR		Look for pgsql libs in this dir
@@@@ -2755,7 +2763,7 @@@@
 fi
 
 fi
-INSTALL_STRIP_PROGRAM="\$(install_sh) -c -s"
+INSTALL_STRIP_PROGRAM="${INSTALL_PROGRAM} -s"
 
 { $as_echo "$as_me:${as_lineno-$LINENO}: checking for a thread-safe mkdir -p" >&5
 $as_echo_n "checking for a thread-safe mkdir -p... " >&6; }
@@@@ -13532,8 +13540,12 @@@@
 
 if test "$doauthuserdb" = "no"
 then
+	HAVE_USERDB_TRUE='#'
+	HAVE_USERDB_FALSE=
 	AUTHUSERDB=""
 else
+	HAVE_USERDB_TRUE=
+	HAVE_USERDB_FALSE='#'
 	AUTHUSERDB="authuserdb"
 	LIBAUTHUSERDB="libauthuserdb.la"
 
@@@@ -13991,6 +14003,20 @@@@
 fi
 
 
+if test "${with_base+set}" = set; then
+	withval="$with_base"
+	dobase="$withval"
+else
+	dobase="yes"
+fi;
+
+if test "$dobase" = "no"; then
+	HAVE_BASE_TRUE='#'
+	HAVE_BASE_FALSE=
+else
+	HAVE_BASE_TRUE=
+	HAVE_BASE_FALSE='#'
+fi
 
  if test "$HAVE_LDAP" = 1; then
   HAVE_LDAP_TRUE=
@@@@ -14209,6 +14235,256 @@@@
 
 
 
+
+vpopmail_home=`$PERL -e '@@a=getpwnam("vpopmail"); print "$a[7]";'`
+
+
+
+
+# Check whether --with-authvchkpw was given.
+if test "${with_authvchkpw+set}" = set; then
+  withval=$with_authvchkpw; doauthvchkpw="$withval"
+else
+  doauthvchkpw=no
+	if test "$vpopmail_home" != ""
+	then
+		doauthvchkpw=yes
+	fi
+fi
+
+
+if test "$doauthvchkpw" = "no"
+then
+	HAVE_VCHKPW=0
+	vpopmail_home=.
+else
+	HAVE_VCHKPW=1
+
+
+	cat  <<EOF
+----------------------------------------------------
+                     NOTE
+
+
+All questions regarding ANY vpopmail-related problems,
+such as compiling/building failures, or login errors
+should be referred to the vpopmail mailing list.
+Vpopmail questions sent to the Courier mailing lists
+will be IGNORED.
+----------------------------------------------------
+
+EOF
+	sleep 5
+
+	if test -f ${vpopmail_home}/etc/lib_deps
+	then
+		CFLAGS="`cat ${vpopmail_home}/etc/inc_deps` $CFLAGS"
+		VPOPMAILLIBS="`cat ${vpopmail_home}/etc/lib_deps`"
+	else
+		{ { echo "$as_me:$LINENO: error: ${vpopmail_home}/etc/lib_deps does not exist - upgrade vpopmail to the current version or fix the permissions on this file" >&5
+echo "$as_me: error: ${vpopmail_home}/etc/lib_deps does not exist - upgrade vpopmail to the current version or fix the permissions on this file" >&2;}
+   { (exit 1); exit 1; }; }
+	fi
+fi
+
+
+
+LIBAUTHVCHKPW=""
+if test "$HAVE_VCHKPW" = 1
+then
+	LIBAUTHVCHKPW="libauthvchkpw.la"
+	HAVE_VCHKPW="1"
+
+
+	_SAVE_LIBS=$LIBS
+	LIBS="$VPOPMAILLIBS $CRYPTLIBS $LIBS"
+	{ echo "$as_me:$LINENO: checking for open_smtp_relay" >&5
+echo $ECHO_N "checking for open_smtp_relay... $ECHO_C" >&6; }
+if test "${ac_cv_func_open_smtp_relay+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* Define open_smtp_relay to an innocuous variant, in case <limits.h> declares open_smtp_relay.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define open_smtp_relay innocuous_open_smtp_relay
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char open_smtp_relay (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef open_smtp_relay
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char open_smtp_relay ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined __stub_open_smtp_relay || defined __stub___open_smtp_relay
+choke me
+#endif
+
+int
+main ()
+{
+return open_smtp_relay ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_func_open_smtp_relay=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_cv_func_open_smtp_relay=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_func_open_smtp_relay" >&5
+echo "${ECHO_T}$ac_cv_func_open_smtp_relay" >&6; }
+if test $ac_cv_func_open_smtp_relay = yes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_OPEN_SMTP_RELAY 1
+_ACEOF
+
+fi
+
+	{ echo "$as_me:$LINENO: checking for vset_lastauth" >&5
+echo $ECHO_N "checking for vset_lastauth... $ECHO_C" >&6; }
+if test "${ac_cv_func_vset_lastauth+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* Define vset_lastauth to an innocuous variant, in case <limits.h> declares vset_lastauth.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define vset_lastauth innocuous_vset_lastauth
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char vset_lastauth (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef vset_lastauth
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char vset_lastauth ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined __stub_vset_lastauth || defined __stub___vset_lastauth
+choke me
+#endif
+
+int
+main ()
+{
+return vset_lastauth ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_func_vset_lastauth=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_cv_func_vset_lastauth=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_func_vset_lastauth" >&5
+echo "${ECHO_T}$ac_cv_func_vset_lastauth" >&6; }
+if test $ac_cv_func_vset_lastauth = yes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_VSET_LASTAUTH 1
+_ACEOF
+
+fi
+
+	LIBS=$_SAVE_LIBS
+fi
+
+
+
+
+
+
+
 # Check whether --with-authpgsqlrc was given.
 if test "${with_authpgsqlrc+set}" = set; then :
   withval=$with_authpgsqlrc; authpgsqlrc="$withval"
@@@@ -14541,7 +14817,7 @@@@
 	LIBS="$saveLIBS"
 fi
 
-if test "$doauthmysql" != "yes"
+if test "$doauthsqlite" != "yes"
 then
 	SQLITE_LIBS=""
 	SQLITE_CFLAGS=""
@


1.7
log
@update to 0.62.4
@
text
@d1 3
a3 3
--- configure.orig	2009-06-27 18:09:14.000000000 +0200
+++ configure	2009-07-02 11:24:49.000000000 +0200
@@@@ -796,6 +796,10 @@@@
d14 1
a14 1
@@@@ -825,6 +829,9 @@@@
d24 1
a24 1
@@@@ -1688,6 +1695,7 @@@@
d32 1
a32 1
@@@@ -2498,7 +2506,7 @@@@
d39 1
a39 1
 { $as_echo "$as_me:$LINENO: checking for a thread-safe mkdir -p" >&5
d41 1
a41 1
@@@@ -15118,8 +15126,12 @@@@
d54 1
a54 1
@@@@ -16874,6 +16886,20 @@@@
d75 1
a75 1
@@@@ -17554,6 +17580,256 @@@@
d330 1
a330 1
 if test "${with_authpgsqlrc+set}" = set; then
d332 9
@


1.6
log
@update to 0.61.0
@
text
@d1 17
a17 6
--- configure.orig	2008-07-12 21:41:09.000000000 +0200
+++ configure	2008-07-16 08:38:29.000000000 +0200
@@@@ -898,6 +898,9 @@@@
 SHADOWLIBS
 LIBAUTHSHADOW
 LIBAUTHPWD
d21 4
a24 17
 authpgsqlrc
 PG_CONFIG
 PGSQL_LIBS
@@@@ -928,7 +931,11 @@@@
 HAVE_SGML_FALSE
 subdirs
 LIBOBJS
-LTLIBOBJS'
+LTLIBOBJS
+HAVE_BASE_TRUE
+HAVE_BASE_FALSE
+HAVE_USERDB_TRUE
+HAVE_USERDB_FALSE'
 ac_subst_files=''
       ac_precious_vars='build_alias
 host_alias
@@@@ -1552,6 +1559,7 @@@@
d32 1
a32 1
@@@@ -2493,7 +2501,7 @@@@
d39 3
a41 3
 # We need awk for the "check" target.  The system "awk" is bad on
 # some platforms.
@@@@ -21188,8 +21196,12 @@@@
d54 1
a54 1
@@@@ -22867,6 +22879,20 @@@@
d75 1
a75 1
@@@@ -23515,6 +23541,256 @@@@
a331 34
@@@@ -26486,9 +26762,13 @@@@
 CXXFLAGS!$CXXFLAGS$ac_delim
 ac_ct_CXX!$ac_ct_CXX$ac_delim
 CXXDEPMODE!$CXXDEPMODE$ac_delim
+HAVE_BASE_TRUE!$HAVE_BASE_TRUE$ac_delim
+HAVE_BASE_FALSE!$HAVE_BASE_FALSE$ac_delim
+HAVE_USERDB_TRUE!$HAVE_USERDB_TRUE$ac_delim
+HAVE_USERDB_FALSE!$HAVE_USERDB_FALSE$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 101; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
@@@@ -26559,6 +26839,9 @@@@
 SHADOWLIBS!$SHADOWLIBS$ac_delim
 LIBAUTHSHADOW!$LIBAUTHSHADOW$ac_delim
 LIBAUTHPWD!$LIBAUTHPWD$ac_delim
+vpopmail_home!$vpopmail_home$ac_delim
+VPOPMAILLIBS!$VPOPMAILLIBS$ac_delim
+LIBAUTHVCHKPW!$LIBAUTHVCHKPW$ac_delim
 authpgsqlrc!$authpgsqlrc$ac_delim
 PG_CONFIG!$PG_CONFIG$ac_delim
 PGSQL_LIBS!$PGSQL_LIBS$ac_delim
@@@@ -26592,7 +26875,7 @@@@
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 63; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 66; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
@


1.5
log
@update to 0.60.4
the vpopmail support was removed with 0.60.3 (because none felt responsible
for maintaining it in courier-authlib) - this commit adds - togehter with
this update - a patch which patches the vpopmail support back into 0.60.4
(because at least I need the interaction with vpopmail!).
@
text
@d1 3
a3 3
--- configure.orig	2008-06-12 20:25:13.000000000 +0200
+++ configure	2008-06-12 20:23:39.000000000 +0200
@@@@ -907,6 +907,9 @@@@
d13 1
a13 1
@@@@ -937,7 +940,11 @@@@
d26 1
a26 1
@@@@ -1561,6 +1568,7 @@@@
d34 1
a34 1
@@@@ -2502,7 +2510,7 @@@@
d43 1
a43 1
@@@@ -21290,8 +21298,12 @@@@
d56 1
a56 1
@@@@ -22969,6 +22981,20 @@@@
d77 1
a77 1
@@@@ -23617,6 +23643,256 @@@@
d334 1
a334 1
@@@@ -26616,9 +26892,13 @@@@
d349 1
a349 1
@@@@ -26698,6 +26978,9 @@@@
d359 1
a359 1
@@@@ -26731,7 +27014,7 @@@@
d363 2
a364 2
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 72; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 75; then
@


1.4
log
@fix the patch I messed up!
*sigh*
@
text
@d1 13
a13 3
--- configure.orig	2007-09-29 16:43:43.000000000 +0200
+++ configure	2007-10-03 13:14:36.000000000 +0200
@@@@ -942,7 +942,11 @@@@
d26 18
a43 1
@@@@ -21215,8 +21219,12 @@@@
d56 1
a56 1
@@@@ -22894,6 +22902,20 @@@@
d77 1
a77 69
@@@@ -24180,9 +24202,9 @@@@
 if test "$doauthmysql" = ""
 then
 	LIBS="$MYSQL_LIBS $LIBS"
-	{ echo "$as_me:$LINENO: checking for mysql_connect" >&5
-echo $ECHO_N "checking for mysql_connect... $ECHO_C" >&6; }
-if test "${ac_cv_func_mysql_connect+set}" = set; then
+	{ echo "$as_me:$LINENO: checking for mysql_real_connect" >&5
+echo $ECHO_N "checking for mysql_real_connect... $ECHO_C" >&6; }
+if test "${ac_cv_func_mysql_real_connect+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
@@@@ -24191,12 +24213,12 @@@@
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-/* Define mysql_connect to an innocuous variant, in case <limits.h> declares mysql_connect.
+/* Define mysql_real_connect to an innocuous variant, in case <limits.h> declares mysql_real_connect.
    For example, HP-UX 11i <limits.h> declares gettimeofday.  */
-#define mysql_connect innocuous_mysql_connect
+#define mysql_real_connect innocuous_mysql_real_connect
 
 /* System header to define __stub macros and hopefully few prototypes,
-    which can conflict with char mysql_connect (); below.
+    which can conflict with char mysql_real_connect (); below.
     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
     <limits.h> exists even on freestanding compilers.  */
 
@@@@ -24206,7 +24228,7 @@@@
 # include <assert.h>
 #endif
 
-#undef mysql_connect
+#undef mysql_real_connect
 
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
@@@@ -24214,18 +24236,18 @@@@
 #ifdef __cplusplus
 extern "C"
 #endif
-char mysql_connect ();
+char mysql_real_connect ();
 /* The GNU C library defines this for functions which it implements
     to always fail with ENOSYS.  Some functions are actually named
     something starting with __ and the normal name is an alias.  */
-#if defined __stub_mysql_connect || defined __stub___mysql_connect
+#if defined __stub_mysql_real_connect || defined __stub___mysql_real_connect
 choke me
 #endif
 
 int
 main ()
 {
-return mysql_connect ();
+return mysql_real_connect ();
   ;
   return 0;
 }
@@@@ -24248,20 +24270,20 @@@@
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext &&
        $as_test_x conftest$ac_exeext; then
-  ac_cv_func_mysql_connect=yes
+  ac_cv_func_mysql_real_connect=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
a78 3
-	ac_cv_func_mysql_connect=no
+	ac_cv_func_mysql_real_connect=no
 fi
a79 10
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 fi
-{ echo "$as_me:$LINENO: result: $ac_cv_func_mysql_connect" >&5
-echo "${ECHO_T}$ac_cv_func_mysql_connect" >&6; }
-if test $ac_cv_func_mysql_connect = yes; then
+{ echo "$as_me:$LINENO: result: $ac_cv_func_mysql_real_connect" >&5
+echo "${ECHO_T}$ac_cv_func_mysql_real_connect" >&6; }
+if test $ac_cv_func_mysql_real_connect = yes; then
   doauthmysql="yes"
d81 257
a337 91
 fi
@@@@ -24362,9 +24384,9 @@@@
 else
 	saveLIBS="$LIBS"
 	LIBS="$MYSQL_LIBS $LIBS"
-	{ echo "$as_me:$LINENO: checking for mysql_connect" >&5
-echo $ECHO_N "checking for mysql_connect... $ECHO_C" >&6; }
-if test "${ac_cv_func_mysql_connect+set}" = set; then
+	{ echo "$as_me:$LINENO: checking for mysql_real_connect" >&5
+echo $ECHO_N "checking for mysql_real_connect... $ECHO_C" >&6; }
+if test "${ac_cv_func_mysql_real_connect+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
@@@@ -24373,12 +24395,12 @@@@
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-/* Define mysql_connect to an innocuous variant, in case <limits.h> declares mysql_connect.
+/* Define mysql_real_connect to an innocuous variant, in case <limits.h> declares mysql_real_connect.
    For example, HP-UX 11i <limits.h> declares gettimeofday.  */
-#define mysql_connect innocuous_mysql_connect
+#define mysql_real_connect innocuous_mysql_real_connect
 
 /* System header to define __stub macros and hopefully few prototypes,
-    which can conflict with char mysql_connect (); below.
+    which can conflict with char mysql_real_connect (); below.
     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
     <limits.h> exists even on freestanding compilers.  */
 
@@@@ -24388,7 +24410,7 @@@@
 # include <assert.h>
 #endif
 
-#undef mysql_connect
+#undef mysql_real_connect
 
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
@@@@ -24396,18 +24418,18 @@@@
 #ifdef __cplusplus
 extern "C"
 #endif
-char mysql_connect ();
+char mysql_real_connect ();
 /* The GNU C library defines this for functions which it implements
     to always fail with ENOSYS.  Some functions are actually named
     something starting with __ and the normal name is an alias.  */
-#if defined __stub_mysql_connect || defined __stub___mysql_connect
+#if defined __stub_mysql_real_connect || defined __stub___mysql_real_connect
 choke me
 #endif
 
 int
 main ()
 {
-return mysql_connect ();
+return mysql_real_connect ();
   ;
   return 0;
 }
@@@@ -24430,20 +24452,20 @@@@
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext &&
        $as_test_x conftest$ac_exeext; then
-  ac_cv_func_mysql_connect=yes
+  ac_cv_func_mysql_real_connect=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-	ac_cv_func_mysql_connect=no
+	ac_cv_func_mysql_real_connect=no
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 fi
-{ echo "$as_me:$LINENO: result: $ac_cv_func_mysql_connect" >&5
-echo "${ECHO_T}$ac_cv_func_mysql_connect" >&6; }
-if test $ac_cv_func_mysql_connect = yes; then
+{ echo "$as_me:$LINENO: result: $ac_cv_func_mysql_real_connect" >&5
+echo "${ECHO_T}$ac_cv_func_mysql_real_connect" >&6; }
+if test $ac_cv_func_mysql_real_connect = yes; then
   LIBAUTHMYSQL="libauthmysql.la"
 		HAVE_AUTHMYSQL=1
 else
@@@@ -26915,9 +26937,12 @@@@
 subdirs!$subdirs$ac_delim
 LIBOBJS!$LIBOBJS$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
d343 22
a364 3
-
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 77; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 81; then
@


1.3
log
@update to 0.60.0
@
text
@a15 18
@@@@ -959,7 +963,7 @@@@
 CXXCPP
 F77
 FFLAGS'
-ac_subdirs_all='libltdl bdbobj gdbmobj md5 sha1 libhmac numlib makedat userdb rfc822 random128 liblock liblog'
+ac_subdirs_all='libltdl bdbobj gdbmobj md5 sha1 libhmac numlib   rfc822 random128 liblock liblog'
 
 # Initialize some variables set by options.
 ac_init_help=
@@@@ -2508,7 +2512,7 @@@@
 fi
 
 fi
-INSTALL_STRIP_PROGRAM="\$(install_sh) -c -s"
+INSTALL_STRIP_PROGRAM="${INSTALL_PROGRAM} -s"
 
 # We need awk for the "check" target.  The system "awk" is bad on
 # some platforms.
a49 9
@@@@ -23604,7 +23626,7 @@@@
 
 
 	_SAVE_LIBS=$LIBS
-	LIBS="$VPOPMAILLIBS $CRYPTLIBS $LIBS"
+	LIBS="$VPOPMAILLIBS -lcrypt -lcrypt -lcrypt $CRYPTLIBS $LIBS"
 	{ echo "$as_me:$LINENO: checking for open_smtp_relay" >&5
 echo $ECHO_N "checking for open_smtp_relay... $ECHO_C" >&6; }
 if test "${ac_cv_func_open_smtp_relay+set}" = set; then
a221 18
@@@@ -25973,7 +25995,7 @@@@
   HAVE_SGML_FALSE=
 fi
 
-subdirs="$subdirs libltdl bdbobj gdbmobj md5 sha1 libhmac numlib makedat userdb rfc822 random128 liblock liblog"
+subdirs="$subdirs libltdl bdbobj gdbmobj md5 sha1 libhmac numlib   rfc822 random128 liblock liblog"
 
 
 ac_config_files="$ac_config_files Makefile authdaemond authdaemonrc authsystem.passwd README.authdebug.html dbobj.h authmigrate courier-authlib.spec courier-authlib.lpspec courier-authlib.sysvinit userdb-test-cram-md5.pl"
@@@@ -26881,7 +26903,7 @@@@
 LIBAUTHSHADOW!$LIBAUTHSHADOW$ac_delim
 LIBAUTHPWD!$LIBAUTHPWD$ac_delim
 vpopmail_home!$vpopmail_home$ac_delim
-VPOPMAILLIBS!$VPOPMAILLIBS$ac_delim
+VPOPMAILLIBS!$VPOPMAILLIBS -lcrypt -lcrypt -lcrypt$ac_delim
 LIBAUTHVCHKPW!$LIBAUTHVCHKPW$ac_delim
 authpgsqlrc!$authpgsqlrc$ac_delim
 PG_CONFIG!$PG_CONFIG$ac_delim
d228 2
a229 2
+HAVE_AUTHDB_TRUE!$HAVE_AUTHDB_TRUE$ac_delim
+HAVE_AUTHDB_FALSE!$HAVE_AUTHDB_FALSE$ac_delim
@


1.2
log
@update to 0.59
@
text
@d1 34
a34 3
--- configure.orig	Sat Dec 30 06:27:58 2006
+++ configure	Mon Jan  1 22:27:57 2007
@@@@ -20585,8 +20585,12 @@@@
d39 1
a39 1
+	HAVE_USERDB_FALSE=''
d42 1
a42 1
+	HAVE_USERDB_TRUE=''
d47 1
a47 1
@@@@ -22351,7 +22355,21 @@@@
d52 2
a53 2
+  withval="$with_base"
+  dobase="$withval"
d55 1
a55 1
+  dobase="yes"
d57 1
a57 1
 
d59 2
a60 2
+  HAVE_BASE_TRUE='#'
+  HAVE_BASE_FALSE=''
d62 2
a63 2
+  HAVE_BASE_TRUE=''
+  HAVE_BASE_FALSE='#'
a64 1
+  
d66 3
d70 8
a77 2
 if test "$HAVE_LDAP" = 1; then
@@@@ -23711,9 +23729,9 @@@@
d81 2
a82 2
-	echo "$as_me:$LINENO: checking for mysql_connect" >&5
-echo $ECHO_N "checking for mysql_connect... $ECHO_C" >&6
d84 2
a85 2
+	echo "$as_me:$LINENO: checking for mysql_real_connect" >&5
+echo $ECHO_N "checking for mysql_real_connect... $ECHO_C" >&6
d90 1
a90 1
@@@@ -23722,12 +23740,12 @@@@
d106 1
a106 1
@@@@ -23737,7 +23755,7 @@@@
d113 3
a115 1
 /* Override any gcc2 internal prototype to avoid an error.  */
d117 1
a117 1
@@@@ -23746,14 +23764,14 @@@@
a118 2
 /* We use char because int might match the return type of a gcc2
    builtin and then its argument prototype would still apply.  */
d124 2
a125 2
-#if defined (__stub_mysql_connect) || defined (__stub___mysql_connect)
+#if defined (__stub_mysql_real_connect) || defined (__stub___mysql_real_connect)
a126 3
 #else
-char (*f) () = mysql_connect;
+char (*f) () = mysql_real_connect;
d128 1
a128 3
 #ifdef __cplusplus
 }
@@@@ -23762,7 +23780,7 @@@@
d132 2
a133 2
-return f != mysql_connect;
+return f != mysql_real_connect;
d137 4
a140 4
@@@@ -23789,19 +23807,19 @@@@
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
d147 2
a148 2
-ac_cv_func_mysql_connect=no
+ac_cv_func_mysql_real_connect=no
d150 2
a151 1
 rm -f conftest.err conftest.$ac_objext \
d154 2
a155 2
-echo "$as_me:$LINENO: result: $ac_cv_func_mysql_connect" >&5
-echo "${ECHO_T}$ac_cv_func_mysql_connect" >&6
d157 2
a158 2
+echo "$as_me:$LINENO: result: $ac_cv_func_mysql_real_connect" >&5
+echo "${ECHO_T}$ac_cv_func_mysql_real_connect" >&6
d163 1
a163 1
@@@@ -23911,9 +23929,9 @@@@
d167 2
a168 2
-	echo "$as_me:$LINENO: checking for mysql_connect" >&5
-echo $ECHO_N "checking for mysql_connect... $ECHO_C" >&6
d170 2
a171 2
+	echo "$as_me:$LINENO: checking for mysql_real_connect" >&5
+echo $ECHO_N "checking for mysql_real_connect... $ECHO_C" >&6
d176 1
a176 1
@@@@ -23922,12 +23940,12 @@@@
d192 1
a192 1
@@@@ -23937,7 +23955,7 @@@@
d199 3
a201 1
 /* Override any gcc2 internal prototype to avoid an error.  */
d203 1
a203 1
@@@@ -23946,14 +23964,14 @@@@
a204 2
 /* We use char because int might match the return type of a gcc2
    builtin and then its argument prototype would still apply.  */
d210 2
a211 2
-#if defined (__stub_mysql_connect) || defined (__stub___mysql_connect)
+#if defined (__stub_mysql_real_connect) || defined (__stub___mysql_real_connect)
a212 3
 #else
-char (*f) () = mysql_connect;
+char (*f) () = mysql_real_connect;
d214 1
a214 3
 #ifdef __cplusplus
 }
@@@@ -23962,7 +23980,7 @@@@
d218 2
a219 2
-return f != mysql_connect;
+return f != mysql_real_connect;
d223 4
a226 4
@@@@ -23989,19 +24007,19 @@@@
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
d233 2
a234 2
-ac_cv_func_mysql_connect=no
+ac_cv_func_mysql_real_connect=no
d236 2
a237 1
 rm -f conftest.err conftest.$ac_objext \
d240 2
a241 2
-echo "$as_me:$LINENO: result: $ac_cv_func_mysql_connect" >&5
-echo "${ECHO_T}$ac_cv_func_mysql_connect" >&6
d243 2
a244 2
+echo "$as_me:$LINENO: result: $ac_cv_func_mysql_real_connect" >&5
+echo "${ECHO_T}$ac_cv_func_mysql_real_connect" >&6
d249 7
a255 9
@@@@ -26433,6 +26451,10 @@@@
 s,@@subdirs@@,$subdirs,;t t
 s,@@LIBOBJS@@,$LIBOBJS,;t t
 s,@@LTLIBOBJS@@,$LTLIBOBJS,;t t
+s,@@HAVE_BASE_TRUE@@,$HAVE_BASE_TRUE,;t t
+s,@@HAVE_BASE_FALSE@@,$HAVE_BASE_FALSE,;t t
+s,@@HAVE_USERDB_TRUE@@,$HAVE_USERDB_TRUE,;t t
+s,@@HAVE_USERDB_FALSE@@,$HAVE_USERDB_FALSE,;t t
 CEOF
d257 18
d276 6
@


1.1
log
@move mail/courier-authlib to security/courier-authlib which is a meta-port now.

Submitted by:		Yarema <yds@@CoolRat.org>
In corporation with:	Jose M Rodriguez <josemi@@freebsd.jazztel.es>, Milan Obuch <ports@@dino.sk>, myself
@
text
@d1 3
a3 3
--- configure.orig	Tue Mar  1 03:22:02 2005
+++ configure	Fri Apr 22 19:13:43 2005
@@@@ -21084,8 +21084,12 @@@@
d16 2
a17 2
@@@@ -22778,7 +22782,21 @@@@
 
d37 2
a38 2
 # Check whether --with-authpwd or --without-authpwd was given.
@@@@ -24111,9 +24129,9 @@@@
d51 1
a51 1
@@@@ -24122,12 +24140,12 @@@@
d67 1
a67 1
@@@@ -24137,7 +24155,7 @@@@
d76 1
a76 1
@@@@ -24146,14 +24164,14 @@@@
d94 1
a94 1
@@@@ -24162,7 +24180,7 @@@@
d103 1
a103 1
@@@@ -24189,19 +24207,19 @@@@
d128 1
a128 1
@@@@ -24311,9 +24329,9 @@@@
d141 1
a141 1
@@@@ -24322,12 +24340,12 @@@@
d157 1
a157 1
@@@@ -24337,7 +24355,7 @@@@
d166 1
a166 1
@@@@ -24346,14 +24364,14 @@@@
d184 1
a184 1
@@@@ -24362,7 +24380,7 @@@@
d193 1
a193 1
@@@@ -24389,19 +24407,19 @@@@
d218 1
a218 1
@@@@ -26671,6 +26689,10 @@@@
@

